package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.util.List;

public class AllocRecipeStallDTO {
   @ApiModelProperty("区域id")
   private Long areaId;
   private List<Long> areaIds;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   private List<Long> canteenIds;
   @ApiModelProperty("档口id")
   private Long stallId;
   private List<Long> stallIds;
   @ApiModelProperty("餐线类型")
   private Integer mealLineType;
   @ApiModelProperty("餐线id")
   private Long mealLineId;
   @ApiModelProperty("菜谱名称")
   private String recipeName;
   @ApiModelProperty("菜谱绑定类型")
   private Integer bindType;
   @ApiModelProperty("设备类型")
   private List<Integer> deviceTypeList;
   @ApiModelProperty("是否查询餐线")
   private Integer ifQueryMealLine;
   private Integer key;

   @DateTimeFormat(iso = DateTimeFormat.ISO.DATE) // for "yyyy-MM-dd" format
   private LocalDate applyDate;

   public Long getAreaId() {
      return this.areaId;
   }

   public List<Long> getAreaIds() {
      return this.areaIds;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public List<Long> getCanteenIds() {
      return this.canteenIds;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public List<Long> getStallIds() {
      return this.stallIds;
   }

   public Integer getMealLineType() {
      return this.mealLineType;
   }

   public Long getMealLineId() {
      return this.mealLineId;
   }

   public String getRecipeName() {
      return this.recipeName;
   }

   public Integer getBindType() {
      return this.bindType;
   }

   public List<Integer> getDeviceTypeList() {
      return this.deviceTypeList;
   }

   public Integer getIfQueryMealLine() {
      return this.ifQueryMealLine;
   }

   public Integer getKey() {
      return this.key;
   }

   public LocalDate getApplyDate() {
      return this.applyDate;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaIds(final List<Long> areaIds) {
      this.areaIds = areaIds;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCanteenIds(final List<Long> canteenIds) {
      this.canteenIds = canteenIds;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setStallIds(final List<Long> stallIds) {
      this.stallIds = stallIds;
   }

   public void setMealLineType(final Integer mealLineType) {
      this.mealLineType = mealLineType;
   }

   public void setMealLineId(final Long mealLineId) {
      this.mealLineId = mealLineId;
   }

   public void setRecipeName(final String recipeName) {
      this.recipeName = recipeName;
   }

   public void setBindType(final Integer bindType) {
      this.bindType = bindType;
   }

   public void setDeviceTypeList(final List<Integer> deviceTypeList) {
      this.deviceTypeList = deviceTypeList;
   }

   public void setIfQueryMealLine(final Integer ifQueryMealLine) {
      this.ifQueryMealLine = ifQueryMealLine;
   }

   public void setKey(final Integer key) {
      this.key = key;
   }

   public void setApplyDate(final LocalDate applyDate) {
      this.applyDate = applyDate;
   }

}
